
Installer - Tracker #28736

Use Pulp 3 for File and Container content in Katello

01/13/2020 12:31 PM - Ewoud Kohl van Wijngaarden

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

This is a tracker to correlate various issues. No PR should be filed against this particular issue itself.

The goal is to have fresh installations use Pulp 3 for File and Container content in Katello. Upgrades are not in scope and should

remain on Pulp 2 until upgrade support is finished. Mirrors on foreman-proxy-content are also out of scope for this goal.

Related issues:

Related to Installer - Feature #29069: label pulpcore ports with the right se... Closed

Blocked by Installer - Bug #28711: /pulp/content  is not being served over ht... Closed

Blocked by Installer - Bug #28696: with pulp3 installed on a main katello ser... Closed

Blocked by Installer - Bug #28655: support fetching files via /pulp/isos with... Closed

Blocked by Installer - Feature #28654: support client cert auth with pulp3 Closed

Blocks Installer - Feature #28695: Support pulp3 upgrade/migration Closed

Blocked by Installer - Bug #28761: REMOTE_USER should be unset for Pulp API c... Closed

Blocked by Installer - Bug #28812: can't sync pulp2 yum repository after depl... Closed

Blocked by Installer - Bug #28813: can't fetch yum contents over https after ... Closed

Blocked by Installer - Feature #28828: Turn on pulp3 for new installs of kate... Closed

Blocked by Installer - Feature #28839: Reset Pulp 3 during foreman-installer ... Closed

Blocked by Installer - Bug #28888: Extra apache configuration needed for cert... Closed

Blocks Katello - Tracker #26987: Pulp3 Main tracker New

Blocked by Installer - Feature #27038: configure Pulp 3 to use the correct he... Duplicate

Blocked by Installer - Bug #28996: pulpcore 3.0.1 needs to have PULP_STATIC_R... Closed

Blocked by Installer - Feature #28904: pulpcore REMOTE_USER_ENVIRON_NAME shou... Closed

History

#1 - 01/13/2020 12:32 PM - Ewoud Kohl van Wijngaarden

- Blocked by Bug #28711: /pulp/content  is not being served over http with pulp3 added

#2 - 01/13/2020 12:32 PM - Ewoud Kohl van Wijngaarden

- Blocked by Bug #28696: with pulp3 installed on a main katello server, apache should be configured to help serve docker content added

#3 - 01/13/2020 12:33 PM - Ewoud Kohl van Wijngaarden

- Blocked by Bug #28655: support fetching files via /pulp/isos with pulp3 added

#4 - 01/13/2020 12:33 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #28654: support client cert auth with pulp3 added

#5 - 01/13/2020 12:38 PM - Ewoud Kohl van Wijngaarden

- Blocks Feature #28695: Support pulp3 upgrade/migration added

#6 - 01/15/2020 02:36 PM - Eric Helms
- Blocked by Bug #28761: REMOTE_USER should be unset for Pulp API cert authentication added

#7 - 01/20/2020 06:52 PM - Justin Sherrill

- Blocked by Bug #28812: can't sync pulp2 yum repository after deploying pulp3 added

#8 - 01/20/2020 07:13 PM - Justin Sherrill

- Blocked by Bug #28813: can't fetch yum contents over https after deploying pulp3 added

#9 - 01/21/2020 04:38 PM - Justin Sherrill

- Blocked by Feature #28828: Turn on pulp3 for new installs of katello in nightly added

#10 - 01/22/2020 06:29 PM - Ian Ballou

- Blocked by Feature #28839: Reset Pulp 3 during foreman-installer --reset added

#11 - 01/29/2020 09:05 PM - Justin Sherrill

- Blocked by Bug #28888: Extra apache configuration needed for cert-based docker syncing added

#12 - 02/12/2020 05:10 PM - Ewoud Kohl van Wijngaarden

- Blocks Tracker #26987: Pulp3 Main tracker added

#13 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #27038: configure Pulp 3 to use the correct header for REMOTE_USER added

#14 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden

- Related to deleted (Feature #27038: configure Pulp 3 to use the correct header for REMOTE_USER)

#15 - 02/12/2020 05:11 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #27038: configure Pulp 3 to use the correct header for REMOTE_USER added

#16 - 02/12/2020 05:13 PM - Ewoud Kohl van Wijngaarden

- Blocked by Bug #28996: pulpcore 3.0.1 needs to have PULP_STATIC_ROOT set added

#17 - 02/12/2020 05:14 PM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #28904: pulpcore REMOTE_USER_ENVIRON_NAME should be configurable added

#18 - 02/19/2020 04:02 PM - Evgeni Golov

- Related to Feature #29069: label pulpcore ports with the right selinux label added

#19 - 02/26/2020 02:02 AM - Eric Helms

- Status changed from New to Closed
